<?php 

require_once "../controladores/clientes.controlador.php";
require_once "../modelos/clientes.modelo.php";

class AjaxClientes {

    /*=============================================
	VALIDAR NO REPETIR CLIENTE
	=============================================*/	

	public $validarCliente;

	public function ajaxValidarCliente(){

		$item = "ruc_dni";
		$valor = $this->validarCliente;

		$respuesta = ControladorClientes::ctrMostrarClientes($item, $valor);

		echo json_encode($respuesta);

	}

	 /** EDITAR CLIENTE */

	 public $idCliente;

	 public function ajaxEditarCliente(){
 
		 $item = "id";
		 $valor = $this -> idCliente;
		 $respuesta = ControladorClientes:: ctrMostrarClientes($item, $valor);
 
		 echo json_encode($respuesta);
 
	 }
}



/*=============================================
VALIDAR NO REPETIR CLIENTE
=============================================*/

if(isset( $_POST["validarCliente"])){

	$valCliente = new AjaxClientes();
	$valCliente -> validarCliente = $_POST["validarCliente"];
	$valCliente -> ajaxValidarCliente();

}

/** EDITAR CLIENTE */

if(isset($_POST["idCliente"])){
    $editar = new AjaxClientes();
    $editar -> idCliente = $_POST["idCliente"];
    $editar -> ajaxEditarCliente();

}
